Package org.springframework.security.config

# Class Elements

java.lang.Object
org.springframework.security.config.Elements

public abstract class Elements extends Object
Contains all the element names used by Spring Security 3 namespace support.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESS_DENIED_HANDLER`
`static final String`
`AFTER_INVOCATION_PROVIDER`
`static final String`
`ANONYMOUS`
`static final String`
`AUTHENTICATION_MANAGER`
`static final String`
`AUTHENTICATION_PROVIDER`
`static final String`
`BASIC_AUTH`
`static final String`
`CLIENT_REGISTRATIONS`
`static final String`
`CONCURRENT_SESSIONS`
`static final String`
`CORS`
`static final String`
`CSRF`
`static final String`
`CUSTOM_FILTER`
`static final String`
`DEBUG`
`static final String`
`EXPRESSION_HANDLER`
`static final String`
`FILTER_CHAIN`
`static final String`
`FILTER_CHAIN_MAP`
`static final String`
`FILTER_SECURITY_METADATA_SOURCE`
`static final String`
`FORM_LOGIN`
`static final String`
`GLOBAL_METHOD_SECURITY`
`static final String`
`HEADERS`
`static final String`
`HTTP`
`static final String`
`HTTP_FIREWALL`
`static final String`
`INTERCEPT_MESSAGE`
`static final String`
`INTERCEPT_METHODS`
`static final String`
`INTERCEPT_URL`
`static final String`
`INVOCATION_ATTRIBUTE_FACTORY`
`static final String`
`INVOCATION_HANDLING`
`static final String`
`JDBC_USER_SERVICE`
`static final String`
`JEE`
`static final String`
`JWT`
`static final String`
`LDAP_PASSWORD_COMPARE`
`static final String`
`LDAP_PROVIDER`
`static final String`
`LDAP_SERVER`
`static final String`
`LDAP_USER_SERVICE`
`static final String`
`LOGOUT`
`static final String`
`METHOD_SECURITY`
`static final String`
`METHOD_SECURITY_METADATA_SOURCE`
`static final String`
`OAUTH2_CLIENT`
`static final String`
`OAUTH2_LOGIN`
`static final String`
`OAUTH2_RESOURCE_SERVER`
`static final String`
`OPAQUE_TOKEN`
`static final String`
`PASSWORD_ENCODER`
`static final String`
`PASSWORD_MANAGEMENT`
`static final String`
`PORT_MAPPING`
`static final String`
`PORT_MAPPINGS`
`static final String`
`POST_INVOCATION_ADVICE`
`static final String`
`PRE_INVOCATION_ADVICE`
`static final String`
`PROTECT`
`static final String`
`PROTECT_POINTCUT`
`static final String`
`RELYING_PARTY_REGISTRATIONS`
`static final String`
`REMEMBER_ME`
`static final String`
`REQUEST_CACHE`
`static final String`
`SAML2_LOGIN`
`static final String`
`SAML2_LOGOUT`
`static final String`
`SESSION_MANAGEMENT`
`static final String`
`USER_SERVICE`
`static final String`
`WEBSOCKET_MESSAGE_BROKER`
`static final String`
`X509`

## Constructor Summary

Constructors
Constructor
Description
`Elements()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ACCESS_DENIED_HANDLER

public static final String ACCESS_DENIED_HANDLER

See Also:
  - Constant Field Values

### AUTHENTICATION_MANAGER

public static final String AUTHENTICATION_MANAGER

See Also:
  - Constant Field Values

### AFTER_INVOCATION_PROVIDER

public static final String AFTER_INVOCATION_PROVIDER

See Also:
  - Constant Field Values

### USER_SERVICE

public static final String USER_SERVICE

See Also:
  - Constant Field Values

### JDBC_USER_SERVICE

public static final String JDBC_USER_SERVICE

See Also:
  - Constant Field Values

### FILTER_CHAIN_MAP

public static final String FILTER_CHAIN_MAP

See Also:
  - Constant Field Values

### INTERCEPT_METHODS

public static final String INTERCEPT_METHODS

See Also:
  - Constant Field Values

### INTERCEPT_URL

public static final String INTERCEPT_URL

See Also:
  - Constant Field Values

### AUTHENTICATION_PROVIDER

public static final String AUTHENTICATION_PROVIDER

See Also:
  - Constant Field Values

### HTTP

public static final String HTTP

See Also:
  - Constant Field Values

### LDAP_PROVIDER

public static final String LDAP_PROVIDER

See Also:
  - Constant Field Values

### LDAP_SERVER

public static final String LDAP_SERVER

See Also:
  - Constant Field Values

### LDAP_USER_SERVICE

public static final String LDAP_USER_SERVICE

See Also:
  - Constant Field Values

### PROTECT_POINTCUT

public static final String PROTECT_POINTCUT

See Also:
  - Constant Field Values

### EXPRESSION_HANDLER

public static final String EXPRESSION_HANDLER

See Also:
  - Constant Field Values

### INVOCATION_HANDLING

public static final String INVOCATION_HANDLING

See Also:
  - Constant Field Values

### INVOCATION_ATTRIBUTE_FACTORY

public static final String INVOCATION_ATTRIBUTE_FACTORY

See Also:
  - Constant Field Values

### PRE_INVOCATION_ADVICE

public static final String PRE_INVOCATION_ADVICE

See Also:
  - Constant Field Values

### POST_INVOCATION_ADVICE

public static final String POST_INVOCATION_ADVICE

See Also:
  - Constant Field Values

### PROTECT

public static final String PROTECT

See Also:
  - Constant Field Values

### SESSION_MANAGEMENT

public static final String SESSION_MANAGEMENT

See Also:
  - Constant Field Values

### CONCURRENT_SESSIONS

public static final String CONCURRENT_SESSIONS

See Also:
  - Constant Field Values

### LOGOUT

public static final String LOGOUT

See Also:
  - Constant Field Values

### FORM_LOGIN

public static final String FORM_LOGIN

See Also:
  - Constant Field Values

### BASIC_AUTH

public static final String BASIC_AUTH

See Also:
  - Constant Field Values

### REMEMBER_ME

public static final String REMEMBER_ME

See Also:
  - Constant Field Values

### ANONYMOUS

public static final String ANONYMOUS

See Also:
  - Constant Field Values

### FILTER_CHAIN

public static final String FILTER_CHAIN

See Also:
  - Constant Field Values

### GLOBAL_METHOD_SECURITY

public static final String GLOBAL_METHOD_SECURITY

See Also:
  - Constant Field Values

### METHOD_SECURITY

public static final String METHOD_SECURITY

See Also:
  - Constant Field Values

### PASSWORD_ENCODER

public static final String PASSWORD_ENCODER

See Also:
  - Constant Field Values

### PORT_MAPPINGS

public static final String PORT_MAPPINGS

See Also:
  - Constant Field Values

### PORT_MAPPING

public static final String PORT_MAPPING

See Also:
  - Constant Field Values

### CUSTOM_FILTER

public static final String CUSTOM_FILTER

See Also:
  - Constant Field Values

### REQUEST_CACHE

public static final String REQUEST_CACHE

See Also:
  - Constant Field Values

### X509

public static final String X509

See Also:
  - Constant Field Values

### JEE

public static final String JEE

See Also:
  - Constant Field Values

### FILTER_SECURITY_METADATA_SOURCE

public static final String FILTER_SECURITY_METADATA_SOURCE

See Also:
  - Constant Field Values

### METHOD_SECURITY_METADATA_SOURCE

public static final String METHOD_SECURITY_METADATA_SOURCE

See Also:
  - Constant Field Values

### LDAP_PASSWORD_COMPARE

public static final String LDAP_PASSWORD_COMPARE

See Also:
  - Constant Field Values

### DEBUG

public static final String DEBUG

See Also:
  - Constant Field Values

### HTTP_FIREWALL

public static final String HTTP_FIREWALL

See Also:
  - Constant Field Values

### HEADERS

public static final String HEADERS

See Also:
  - Constant Field Values

### CORS

public static final String CORS

See Also:
  - Constant Field Values

### CSRF

public static final String CSRF

See Also:
  - Constant Field Values

### OAUTH2_RESOURCE_SERVER

public static final String OAUTH2_RESOURCE_SERVER

See Also:
  - Constant Field Values

### JWT

public static final String JWT

See Also:
  - Constant Field Values

### OPAQUE_TOKEN

public static final String OPAQUE_TOKEN

See Also:
  - Constant Field Values

### WEBSOCKET_MESSAGE_BROKER

public static final String WEBSOCKET_MESSAGE_BROKER

See Also:
  - Constant Field Values

### INTERCEPT_MESSAGE

public static final String INTERCEPT_MESSAGE

See Also:
  - Constant Field Values

### OAUTH2_LOGIN

public static final String OAUTH2_LOGIN

See Also:
  - Constant Field Values

### OAUTH2_CLIENT

public static final String OAUTH2_CLIENT

See Also:
  - Constant Field Values

### CLIENT_REGISTRATIONS

public static final String CLIENT_REGISTRATIONS

See Also:
  - Constant Field Values

### PASSWORD_MANAGEMENT

public static final String PASSWORD_MANAGEMENT

See Also:
  - Constant Field Values

### RELYING_PARTY_REGISTRATIONS

public static final String RELYING_PARTY_REGISTRATIONS

See Also:
  - Constant Field Values

### SAML2_LOGIN

public static final String SAML2_LOGIN

See Also:
  - Constant Field Values

### SAML2_LOGOUT

public static final String SAML2_LOGOUT

See Also:
  - Constant Field Values

## Constructor Details

### Elements

public Elements()